--- title: "View WorkerNode" slug: "nks-getworkernode" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/nks-getworkernode" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View WorkerNode Available in VPC View the list of WorkerNodes registered in the cluster. ## Requests The following describes the request format for the endpoint. The request format is as follows. | Method | URI | | --- | --- | | GET | /vnks/v2/clusters/{uuid}/nodes (Korea Region) | | GET | /vnks/sgn-v2/clusters/{uuid}/nodes (Singapore Region) | | GET | /vnks/jpn-v2/clusters/{uuid}/nodes (Japan Region) | ### Request headers For information about the headers common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service request headers](/docs/en/compute-vpckubernetesservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `uuid` | String | Required | Cluster's UUID - See [View cluster list](/docs/en/nks-getclusterlist) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://nks.apigw.ntruss.com/vnks/v2/clusters/0000a20e-e0fb-4dc9-af1b-97fd3f8d0000/nodes' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Responses The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "nodes": [ { "id": "Integer", "name": "String", "serverName": "String", "serverSpec": "String", "privateIp": "String", "publicIp": "String", "returnProtectionYn": "String", "status": "String", "statusCode": "String", "statusColor": "String", "statusName": "String", "serverImageName": "String", "cpuCount": "Integer", "memorySize": "Integer", "softwareCode": "String", "productCode": "String", "specCode": "String", "loginKeyName": "String", "k8sStatus": "String", "dockerVersion": "String", "kernelVersion": "String", "nodePoolName": "String", "nodePoolId": "Integer", "providerID": "String" } ] } ``` ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `nodes` | Array | - | WorkerNode list: [nodes](/docs/en/nks-getworkernode#nodes) | #### `nodes` The following describes `nodes`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Integer | - | WorkerNode ID | | `name` | String | - | WorkerNode name | | `serverName` | String | - | Server name | | `serverSpec` | String | - | Server specifications | | `privateIp` | String | - | Private IP | | `publicIp` | String | - | Public IP | | `returnProtectionYn` | String | - | Whether termination protection is set | | `status` | String | - | Current status | | `statusCode` | String | - | Status code | | `statusColor` | String | - | Status color | | `statusName` | String | - | Status name | | `serverImageName` | String | - | Server image name | | `cpuCount` | Integer | - | Number of CPUs | | `memorySize` | Integer | - | Total memory capacity | | `softwareCode` | String | - | Server image code | | `productCode` | String | - | Product code | | `specCode` | String | - | @deprecated specifications code | | `loginKeyName` | String | - | Authentication key name | | `k8sStatus` | String | - | Kubernetes status | | `dockerVersion` | String | - | Docker version | | `kernelVersion` | String | - | Kernel version | | `nodePoolName` | String | - | NodePool name | | `nodePoolId` | Integer | - | Nodepool ID | | `providerID` | String | - | Provider ID | ### Response status codes For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service response status codes](/docs/en/compute-vpckubernetesservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "nodes": [ { "id": 23430000, "name": "nodepool01-w-4mnv", "serverName": "nodepool01-w-4mnv", "serverSpec": "vCPU 2EA, Memory 8GB, [SSD]Disk 50GB", "privateIp": "10.0.0.0", "publicIp": "223.0.0.0", "returnProtectionYn": "Y", "status": "RUN", "statusCode": "RUN", "statusColor": "green", "statusName": "Running", "serverImageName": "Ubuntu Server 20.04 (64-bit)", "cpuCount": 2, "memorySize": 8589934592, "softwareCode": "SW.VSVR.OS.LNX64.UBNTU.SVR2004.WRKND.0000", "productCode": "SVR.VSVR.STAND.C002.M008.NET.SSD.B050.0000", "specCode": "SVR.VSVR.STAND.C002.M008.NET.SSD.B050.0000", "loginKeyName": "a123", "k8sStatus": "Ready", "dockerVersion": "containerd://1.7.12", "kernelVersion": "5.4.0-99-generic", "nodePoolName": "nodepool01", "nodePoolId": 23430000, "providerID": "navercloudplatform://23430000" } ] } ```